net.sf.jasperreports.engine.export

## Class CutsInfo

- java.lang.Object
- - net.sf.jasperreports.engine.export.CutsInfo

-     public class CutsInfo
      extends java.lang.Object

  Utility class used by grid exporters to create a grid for page layout.
  Version:
    $Id: CutsInfo.java 6091 2013-04-19 16:21:27Z lucianc $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CutsInfo()`
    `CutsInfo(java.lang.Integer lastCutOffset)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addCutOffset(int cutOffset)`
    `void` | `addUsage(int index, int usage)`
    `Cut` | `getCut(int index)`
    `int` | `getCutOffset(int index)`
    `int` | `getFirstCutOffset()`
    `int` | `getLastCutOffset()`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getPropertiesMap()`
    `int` | `getTotalLength()`
    `boolean` | `hasCuts()`
    `int` | `indexOfCutOffset(java.lang.Integer cutOffset)`
    `boolean` | `isBreak(int index)`
    `boolean` | `isCutNotEmpty(int index)` Decides whether a cut is empty or not.
    `boolean` | `isCutSpanned(int index)` Decides whether a cut is occupied by spanning cells or not.
    `boolean` | `removeCutOffset(int cutOffset)`
    `int` | `size()`
    `void` | `use()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CutsInfo

          public CutsInfo()

    - #### CutsInfo

          public CutsInfo(java.lang.Integer lastCutOffset)

  - ### Method Detail

    - #### size

          public int size()

    - #### use

          public void use()

    - #### getCutOffset

          public int getCutOffset(int index)

    - #### getCut

          public Cut getCut(int index)

    - #### addUsage

          public void addUsage(int index,
                      int usage)

    - #### addCutOffset

          public boolean addCutOffset(int cutOffset)

    - #### removeCutOffset

          public boolean removeCutOffset(int cutOffset)

    - #### indexOfCutOffset

          public int indexOfCutOffset(java.lang.Integer cutOffset)

    - #### isCutNotEmpty

          public boolean isCutNotEmpty(int index)

      Decides whether a cut is empty or not.
      Parameters:
        `index` - the cut index
      Returns:
        `true` if and only if the cut is not empty

    - #### isCutSpanned

          public boolean isCutSpanned(int index)

      Decides whether a cut is occupied by spanning cells or not.
      Parameters:
        `index` - the cut index
      Returns:
        `true` if and only if the cut is not empty

    - #### isBreak

          public boolean isBreak(int index)

    - #### hasCuts

          public boolean hasCuts()

    - #### getFirstCutOffset

          public int getFirstCutOffset()

    - #### getLastCutOffset

          public int getLastCutOffset()

    - #### getTotalLength

          public int getTotalLength()

    - #### getPropertiesMap

          public java.util.Map<java.lang.String,java.lang.Object> getPropertiesMap()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com